[![Travis-CI](https://travis-ci.com/CICE-Consortium/Icepack.svg?branch=master)](https://travis-ci.com/CICE-Consortium/Icepack)
[![GHActions](https://github.com/CICE-Consortium/Icepack/workflows/GHActions/badge.svg)](https://github.com/CICE-Consortium/Icepack/actions)
[![Documentation Status](https://readthedocs.org/projects/cice-consortium-icepack/badge/?version=master)](http://cice-consortium-icepack.readthedocs.io/en/master/?badge=master)
[![lcov](https://img.shields.io/endpoint?url=https://apcraig.github.io/coverage_icepack.json)](https://apcraig.github.io)

<!--- [![codecov](https://codecov.io/gh/CICE-Consortium/Icepack/branch/master/graph/badge.svg)](https://codecov.io/gh/CICE-Consortium/Icepack) --->

## The Icepack sea-ice column model
This repository contains files for Icepack, the column physics of the sea ice model [CICE][cice]. Icepack is maintained by the CICE Consortium.  For testing purposes and guidance for including Icepack in other sea ice host models, this repository also includes a driver and basic test suite.   

Icepack is included in CICE as a Git submodule.  Because Icepack is a submodule of CICE, Icepack and CICE development are handled independently with respect to the GitHub repositories even though development and testing can be done together.

[cice]: https://github.com/CICE-Consortium/CICE

## Getting help
The first point of contact with the CICE Consortium is the Consortium Community [Forum][forum]. This forum is monitored by Consortium members and is also open to the whole community. **Please do not use our issue tracker for general support questions.**

[forum]: https://xenforo.cgd.ucar.edu/cesm/forums/cice-consortium.146/

## Contributing
If you expect to make any changes to the code, we recommend that you first fork the Icepack repository.
In order to incorporate your developments into the Consortium code it is imperative you follow the guidance for Pull Requests and requisite testing.
Head over to our [Contributing][contributing] guide to learn more about how you can help improve Icepack.

[contributing]: https://github.com/CICE-Consortium/About-Us/wiki/Contributing

## Useful links
* **Icepack wiki**: https://github.com/CICE-Consortium/Icepack/wiki

   Information about the Icepack model

* **Icepack Release Table**: https://github.com/CICE-Consortium/Icepack/wiki/Icepack-Release-Table

   Numbered Icepack releases with associated documentation and DOIs. 
   
* **Consortium Community Forum**: https://xenforo.cgd.ucar.edu/cesm/forums/cice-consortium.146/
   
   First point of contact for discussing model development including bugs, diagnostics, and future directions.   

* **Resource Index**: https://github.com/CICE-Consortium/About-Us/wiki/Resource-Index

   List of resources for information about the Consortium and its repositories as well as model documentation, testing, and development.

## License
See our [License](LICENSE.pdf) and [Distribution Policy](DistributionPolicy.pdf).
